echo off
echo .
echo .
echo This batch converts CNE NT 2009 to Mapsource 6.13 format
echo .
echo press Ctrl-C to abort
pause

if %1.xxx==.xxx goto dir_error
if exist %1 goto dir_ok
:dir_error
echo .
echo Please supply output directory!
echo for example: conv613 C:\Garmin\CNE2009
echo directory should already exist
echo .
pause
exit 1

:dir_ok
if exist Product1 goto cne_ok
echo .
echo Please run this batch from CNE directroy on your disk
echo .
pause
exit 1

:cne_ok
echo .
echo Output directory is: %1
echo .
echo press Ctrl-C to abort
pause

copy CNEuroNT_2009.mdx %1
copy CNEuroNT_2009_trf.trf %1
copy I000017A.TYP %1

gmt -jax -o %1\CNEuroNT_2009_mdr.img CNEuroNT_2009_mdr\*.*

cd Product1
copy CNEuroNT_2009.tdb %1
..\gmt -jax -o %1\CNEuroNT_2009.img CNEuroNT_2009\*.*
for /D %%i in (00*) do ..\gmt -jax -o %1\%%i.img %%i\*.GMP
cd ..

echo .
echo Now this batch will install registry keys for CNE
echo press Ctrl-C to abort
echo .
pause
echo Adding registry keys.
reg ADD HKLM\SOFTWARE\Garmin\MapSource\FamiliesNT\FAMILY_378 /v ID /t REG_BINARY /d 7A01 /f
reg ADD HKLM\SOFTWARE\Garmin\MapSource\FamiliesNT\FAMILY_378 /v IDX /t REG_SZ /d "%1\CNEuroNT_2009.mdx" /f
reg ADD HKLM\SOFTWARE\Garmin\MapSource\FamiliesNT\FAMILY_378 /v MDR /t REG_SZ /d "%1\CNEuroNT_2009_mdr.img" /f
reg ADD HKLM\SOFTWARE\Garmin\MapSource\FamiliesNT\FAMILY_378 /v TRF /t REG_SZ /d "%1\CNEuroNT_2009_trf.trf" /f
reg ADD HKLM\SOFTWARE\Garmin\MapSource\FamiliesNT\FAMILY_378 /v TYP /t REG_SZ /d "%1\I000017A.typ" /f
reg ADD HKLM\SOFTWARE\Garmin\MapSource\FamiliesNT\FAMILY_378\1 /v Loc /t REG_SZ /d "%1\\" /f
reg ADD HKLM\SOFTWARE\Garmin\MapSource\FamiliesNT\FAMILY_378\1 /v Bmap /t REG_SZ /d "%1\CNEuroNT_2009.img" /f
reg ADD HKLM\SOFTWARE\Garmin\MapSource\FamiliesNT\FAMILY_378\1 /v Tdb /t REG_SZ /d "%1\CNEuroNT_2009.tdb" /f
pause
exit 0
